## libpcd 1.0

=== Makefile ===

DESTDIR=
prefix=/usr/local

incdir=$(DESTDIR)$(prefix)/include
libdir=$(DESTDIR)$(prefix)/lib

CC=gcc
WARN=-Wall -Wmissing-prototypes -Wstrict-prototypes -Wpointer-arith
CFLAGS=-g -O2 $(WARN)

MAJOR=1
MINOR=1.0.0
TARGETS=libpcd.a libpcd.so.$(MINOR)

SRCS=file.c yuv2rgb.c huff.c inter.c
STATIC=static/file.o static/yuv2rgb.o static/huff.o static/inter.o
SHARED=shared/file.o shared/yuv2rgb.o shared/huff.o shared/inter.o

all build: $(TARGETS) 

static/%.o: %.c
	$(CC) $(CFLAGS) -c -o $@ $<

shared/%.o: %.c
	$(CC) $(CFLAGS) -fPIC -c -o $@ $<

libpcd.a: $(STATIC)
	rm -f $@
	ar rc $@ $(STATIC)
	ranlib $@

libpcd.so.$(MINOR): $(SHARED)
	rm -f $@
	$(CC) $(CFLAGS) -shared -Wl,-soname,libpcd.so.$(MAJOR) -o $@ $(SHARED)

install:
	install -d $(libdir)
	install -d $(incdir)
	install -m644 libpcd.a $(libdir)
	install -m755 libpcd.so.$(MINOR) $(libdir)
	ln -s libpcd.so.$(MINOR) $(libdir)/libpcd.so.$(MAJOR)
	ln -s libpcd.so.$(MINOR) $(libdir)/libpcd.so
	install -m644 pcd.h $(incdir)

depend dep:
	gccmakedep -- $(CFLAGS) -- $(SRCS)

clean:
	-rm -f *~ *.bak $(STATIC) $(SHARED)

realclean distclean: clean
	-rm -f libpcd.a libpcd.so.$(MAJOR) libpcd.so.$(MINOR)

#-------------------------------------------------------------------------

checkit: realclean
	dpkg-buildpackage -tc -us -uc -rfakeroot
	lintian ../libpcd*.changes

release: realclean
	dpkg-buildpackage -tc -rfakeroot

port:
	dpkg-buildpackage -b -tc -rfakeroot

#-------------------------------------------------------------------------
# DO NOT DELETE THIS LINE -- make depend depends on it.

=== debian/changelog ===
libpcd (1.0) unstable; urgency=low

  * initial release (closes: #132780).

 -- Gerd Knorr <kraxel@debian.org>  Fri,  8 Feb 2002 14:23:46 +0100

Local variables:
mode: debian-changelog
End:

=== debian/control ===
Source: libpcd
Section: devel
Priority: optional
Build-depends: debhelper (>=3.0)
Maintainer: Gerd Knorr <kraxel@debian.org>
Standards-Version: 3.5.2

Package: libpcd
Architecture: any
Section: libs
Depends: ${shlibs:Depends}
Description: A library for reading PhotoCD images
 A library for reading PhotoCD images

Package: libpcd-dev
Architecture: any
Section: devel
Depends: libpcd (= ${Source-Version})
Description: Header files and static library for libpcd
 Header files and static library for libpcd

=== debian/rules ===
#!/usr/bin/make -f

HERE := $(shell pwd)
DEST := $(HERE)/debian/tmp

# debhelper
export DH_COMPAT=3

build:
	$(MAKE) prefix=/usr $@

clean:
	dh_testdir
	dh_testroot
	dh_clean

install: build
	dh_testdir
	dh_testroot
	dh_clean -k
	dh_installdirs

	rm -rf $(DEST)
	make DESTDIR=$(DEST) prefix=/usr install

	dh_movefiles

binary-indep: build install
binary-arch: build install
	dh_testdir
	dh_testroot
#	dh_installdebconf
	dh_installdocs	-p libpcd	README
	dh_installdocs	-p libpcd-dev	README pcd.html pcd.css
#	dh_installexamples
#	dh_installmenu
#	dh_installlogrotate
#	dh_installemacsen
#	dh_installpam
#	dh_installmime
#	dh_installinit
#	dh_installcron
#	dh_installmanpages
#	dh_installinfo
	dh_installchangelogs
	dh_link
	dh_strip
	dh_compress
	dh_fixperms
	dh_makeshlibs -V
	dh_installdeb
#	dh_perl
	dh_shlibdeps
	dh_gencontrol
	dh_md5sums
	dh_builddeb

binary: binary-indep binary-arch
.PHONY: build clean binary-indep binary-arch binary install

## libpcd 1.0.1

=== debian/changelog ===
libpcd (1.0.1) unstable; urgency=low

  * fix a number of 64bit bugs (s/unsigned long/uint32_t/
    in several places ...).

 -- Gerd Knorr <kraxel@debian.org>  Tue, 22 Jul 2003 11:58:53 +0200

=== debian/control ===
Source: libpcd
Section: devel
Priority: optional
Build-depends: debhelper (>=3.0)
Maintainer: Gerd Knorr <kraxel@debian.org>
Standards-Version: 3.6.0

Package: libpcd2
Architecture: any
Section: devel
Depends: ${shlibs:Depends}
Description: A library for reading PhotoCD images
 A library for reading PhotoCD images

Package: libpcd-dev
Architecture: any
Section: devel
Depends: libpcd2 (= ${Source-Version})
Description: Header files and static library for libpcd
 Header files and static library for libpcd

=== debian/rules ===
--- 
+++ 
@@ -29,19 +29,8 @@
 binary-arch: build install
 	dh_testdir
 	dh_testroot
-#	dh_installdebconf
-	dh_installdocs	-p libpcd	README
+	dh_installdocs	-p libpcd2	README
 	dh_installdocs	-p libpcd-dev	README pcd.html pcd.css
-#	dh_installexamples
-#	dh_installmenu
-#	dh_installlogrotate
-#	dh_installemacsen
-#	dh_installpam
-#	dh_installmime
-#	dh_installinit
-#	dh_installcron
-#	dh_installmanpages
-#	dh_installinfo
 	dh_installchangelogs
 	dh_link
 	dh_strip
@@ -49,7 +38,6 @@
 	dh_fixperms
 	dh_makeshlibs -V
 	dh_installdeb
-#	dh_perl
 	dh_shlibdeps
 	dh_gencontrol
 	dh_md5sums
